/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : spi.h
 * Description : spi driver header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2021-09-23
 ***********************************************************************************************************/
#ifndef __SPI_H__
#define __SPI_H__

#include "config.h"

typedef enum
{
	SPI_MODE_0 = 0,
	SPI_MODE_1 = 1,
	SPI_MODE_2 = 2,
	SPI_MODE_3 = 3,
}em_spi_mode_t;

#ifdef UM3213xA_USING_SPI0

void spi0_init(em_spi_mode_t mode);																			/* 初始化 */

void spi0_cs0_enable(void);																					/* 片选使能 */

void spi0_cs0_disable(void);																				/* 片选不使能 */

void spi0_cs1_enable(void);																					/* 片选使能 */

void spi0_cs1_disable(void);																				/* 片选不使能 */

uint8_t spi0_write_read_byte(uint8_t byte);																	/* 写读字节 */

#endif

#ifdef UM3213xA_USING_SPI1

void spi1_init(em_spi_mode_t mode);																			/* 初始化 */

void spi1_cs0_enable(void);																					/* 片选使能 */

void spi1_cs0_disable(void);																				/* 片选不使能 */

uint8_t spi1_write_read_byte(uint8_t byte);																	/* 写读字节 */

#endif

#endif

